for n = [ 5, 10, 25, 50, 100 ]
  A = random_positive_definite_matrix(n);
  [R, P] = chol(A);

  # chol() will set P=0 if A was symmetric positive-definite.
  expected = 0;
  msg = sprintf('random_positive_definite_matrix(%d) has a chol()', n);
  unit_test_equals(msg, expected, P);
end
